<template>
    <div class="myloan">
        <div class="myloan__wrapper">
            <div :class="{'summary-mobile': $interface.isMobile, 'summary-desktop': $interface.isMobile === false}">

                <div class="status">
                    <h1>Мой займ</h1>
                    <div class="links">
                        <loan-status></loan-status>
                        <!--<loan-documents v-if="$interface.isMobile === false"></loan-documents>-->
                    </div>
                </div>
            </div>

            <div :class="{'mobile-details': $interface.isMobile, 'details-desktop': $interface.isMobile === false}">

                <div class="loan-debt" :class="{mobile: $interface.isMobile}" v-if="$pdl.status < 6">
                    <h3>Сумма займа</h3>
                    <div class="debt-sum">{{debtSumClean|currency}} ₽</div>
                </div>

                <div class="loan-debt" :class="{mobile: $interface.isMobile}" v-else>
                    <h3>Текущая задолженность</h3>
                    <div class="debt-sum">{{debtSum|currency}} ₽</div>
                </div>

                <div class="details_wrapper_relative">
                    <div :class="{'loan-debt-details': true, mobile: $interface.isMobile}">
                        <div class="details__wrapper">
                            <div class="absolute">
                                <div class="title">
                                    Детализация
                                    <!--<SVGIcon xlink="hint-20" fill="#b7c6d0" @click.native="help = !help"></SVGIcon>-->
                                </div>
                                <transition enter-active-class="animated fadeIn faster"
                                            leave-active-class="animated fadeOut faster">
                                    <div class="details" v-if="expand">
                                        <div class="details-row"
                                             v-for="(/**iPDLAdditionalService**/service, index) in detailItems"
                                             :key="index">
                                            <strong>{{service.sum}} ₽</strong> {{service.title}}
                                        </div>
                                    </div>
                                </transition>
                                <div class="expand" @click="expand = !expand">
                                    {{expandText}}
                                    <SVGIcon xlink="collapse-20" fill="#4d92e3" :rotate="expand ? 180 : 0"/>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

            </div>

        </div>
    </div>
</template>

<script>
    import LoanStatus from '../components/LoanStatus';
    import LoanDocuments from '../components/LoanDocuments';
    import SVGIcon from '@/components/SVGIcon';

    export default {
        name: 'loan-summary',
        components: {
            LoanDocuments,
            LoanStatus,
            SVGIcon
        },
        data() {
            return {
                // раскрыта ли детализация
                expand: false,
                // показывает справку по клику на значок вопроса
                help: false,
            };
        },
        computed: {

            debtSumClean () {
                let sum = this.$pdl.sumLeft;

                if(this.$posServices?.id) {
                    sum += this.$posServices.sumLeft;
                }

                return parseFloat(sum).toFixed(2);
            },

            debtSum() {
                let sum = this.$pdl.sumTotal;

                if(this.$posServices?.id) {
                    sum += this.$posServices.sumTotal;
                }

                // this.$pdl.additional_services.forEach((/**iPDLAdditionalService**/service) => {
                //     // sum += service.price;
                // });

                return parseFloat(sum).toFixed(2);
            },

            expandText() {
                return this.expand ? 'Свернуть' : 'Развернуть';
            },

            detailItems () {
                const items = [
                    {title: 'сумма основного долга', sum: this.$pdl.sumLeft}
                ];

                if(this.$pdl.status === 6) {
                    items.push({title: 'сумма % по займу за текущий период', sum: this.$pdl.sumPercent});

                    if(this.$pdl.sumPenalty) {
                        items.push({title: 'неустойка по займу', sum: this.$pdl.sumPenalty});
                    }
                }


                if(this.$posServices?.subTypes?.length) {
                    items.push({
                        title: 'дополнительные услуги',
                        sum: this.$posServices.sumLeft,
                    });

                    if(this.$pdl.status === 6) {
                        items.push({
                            title: 'сумма % на дополнительные услуги за текущий период',
                            sum: (this.$posServices.sumPercent).toFixed(2)
                        });
                        if(this.$posServices.sumPenalty) {
                            items.push({
                                title: 'неустойка по доп.услугам',
                                sum: (this.$posServices.sumPenalty).toFixed(2)
                            });
                        }
                    }
                }

                return items;
            }
        }
    };
</script>
